package rip.tilly.bedwars.managers;

import lombok.Getter;
import lombok.Setter;
import org.bukkit.Material;
import org.bukkit.configuration.ConfigurationSection;
import org.bukkit.configuration.file.FileConfiguration;
import rip.tilly.bedwars.BedWars;
import rip.tilly.bedwars.game.arena.Arena;
import rip.tilly.bedwars.game.arena.CopiedArena;
import rip.tilly.bedwars.utils.config.file.Config;

import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

public class ArenaManager {

    private final BedWars plugin = BedWars.getInstance();
    private final Config config = this.plugin.getArenasConfig();

    @Getter private final Map<String, Arena> arenas = new HashMap<>();
    @Getter private final Map<CopiedArena, UUID> arenaMatchUUIDs = new HashMap<>();

    @Getter @Setter private int generatingArenaRunnable;

    public ArenaManager() {

    }

    private void loadArenas() {
        FileConfiguration fileConfig = config.getConfig();
        ConfigurationSection section = fileConfig.getConfigurationSection("arenas");
        if (section == null) {
            return;
        }

        section.getKeys(false).forEach(name -> {
            String icon = section.getString(name + ".icon") == null ? Material.PAPER.name() : section.getString(name + ".icon");
            int iconData = section.getInt(name + ".icon-data");

            String a = section.getString(name + ".a");
            String b = section.getString(name + ".b");
            String min = section.getString(name + ".min");
            String max = section.getString(name + ".max");
            String teamAmin = section.getString(name + ".teamAmin");
            String teamAmax = section.getString(name + ".teamAmax");
            String teamBmin = section.getString(name + ".teamBmin");
            String teamBmax = section.getString(name + ".teamBmax");

            int deadZone = section.getInt(name + ".deadZone");
            int buildMax = section.getInt(name + ".buildMax");
        });
    }
}
